<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC
	"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
	"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping>
	<query name="SYNC_ADD_QUERY_COUNT_PORTFOLIO">
        <![CDATA[      
        	SELECT
        		COUNT(*)  
	       	FROM 
	        	Portfolio
			WHERE
				DELETE_FLAG = 'F'
			AND 
				CREATED_ON > :lastSyncDate
 				
	             
        ]]>
	</query>

	<query name="SYNC_ADD_QUERY_LIST_PORTFOLIO">
        <![CDATA[        
	       	FROM 
	        	Portfolio
      		WHERE
				DELETE_FLAG = 'F'
			AND
			    CREATED_ON > :lastSyncDate
	       
        ]]>
	</query>

	<query name="SYNC_MODIFY_QUERY_COUNT_PORTFOLIO">
        <![CDATA[      
        	SELECT
        		COUNT(*)  
	       	FROM 
	        	Portfolio
			WHERE
				DELETE_FLAG = 'F'
			AND 
				CREATED_ON < :lastSyncDate
            AND 
				MODIFIED_ON > :lastSyncDate  
        ]]>
	</query>

	<query name="SYNC_MODIFY_QUERY_LIST_PORTFOLIO">
        <![CDATA[
	       	FROM 
	        	Portfolio
			WHERE
				DELETE_FLAG = 'F'
			AND 
				CREATED_ON < :lastSyncDate
            AND 
				MODIFIED_ON > :lastSyncDate  
	       
        ]]>
	</query>

	<query name="SYNC_DELETE_QUERY_COUNT_PORTFOLIO">
        <![CDATA[
        	SELECT
        		count(*)  
	       	FROM 
	        	Portfolio
			WHERE
   			 	CREATED_ON < :lastSyncDate
            AND
				MODIFIED_ON > :lastSyncDate
            AND 
				DELETE_FLAG = 'T'
        ]]>
	</query>

	<query name="SYNC_DELETE_QUERY_LIST_PORTFOLIO">
        <![CDATA[
	       	FROM 
	         	Portfolio
			WHERE
   			 	CREATED_ON < :lastSyncDate
            AND
				MODIFIED_ON > :lastSyncDate
            AND 
				DELETE_FLAG = 'T'

        ]]>
	</query>
	
	
	<query name="SELECT_PORTFOLIO_YR_MGMT_DETAILS">
        <![CDATA[
	       	FROM 
	         	PortfolioYearManagement
			WHERE
			DELETE_FLAG = 'F'

        ]]>
	</query>
</hibernate-mapping>